Skip to content

YouTube Comments API

GET https://api.fetchproof.com/v1/youtube/video/comments

Provide one of: url, continuationToken. Get comments from a video. Can only get 1k top comments and about 7k new comments.

Default cost: 1 credit per call 0 credits on error
Code & Payload

Quick start

Open interactive playground in Docs ↗

cURL

curl --request GET 'https://api.fetchproof.com/v1/youtube/video/comments?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&order=top' \
  --header 'x-api-key: YOUR_API_KEY'

JavaScript

const response = await fetch("https://api.fetchproof.com/v1/youtube/video/comments?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&order=top", {
  method: 'GET',
  headers: {
    'x-api-key': process.env.FETCHPROOF_API_KEY,
  },
});
const data = await response.json();
console.log(data);

Python

import os
import requests

response = requests.get(
    "https://api.fetchproof.com/v1/youtube/video/comments?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&order=top",
    headers={"x-api-key": os.environ["FETCHPROOF_API_KEY"]},
)
print(response.json())

Go

package main

import (
  "fmt"
  "io"
  "net/http"
  "os"
)

func main() {
  req, _ := http.NewRequest("GET", "https://api.fetchproof.com/v1/youtube/video/comments?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&order=top", nil)
  req.Header.Set("x-api-key", os.Getenv("FETCHPROOF_API_KEY"))
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := io.ReadAll(res.Body)
  fmt.Println(string(body))
}

PHP

<?php
$ch = curl_init("https://api.fetchproof.com/v1/youtube/video/comments?url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&order=top");
curl_setopt_array($ch, [
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    'x-api-key: ' . getenv('FETCHPROOF_API_KEY'),
  ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "comments": [
    {
      "id": "UgzKYksqeQ5gA3t0g0F4AaABAg",
      "content": "I Rick rolled my entire French class because we had to study a city in France and make a quiz about it as well as a presentation, I decided to make a Kahoot quiz because it’s very easy. I put a link in to this saying it’s the kahoot link...",
      "publishedTimeText": "6 years ago (edited)",
      "publishedTime": "2020-11-17T21:27:55.702Z",
      "replyLevel": 0,
      "author": {
        "name": "@grustache4569",
        "channelId": "UCKrzgYonJnMd0Dk7zQXjYXw",
        "isVerified": false,
        "isCreator": false,
        "avatarUrl": "https://yt3.ggpht.com/ytc/AIdro_kDD-FhIbth2qcBbI9VGxR41dJa0kE3kN9iVlGzNgRU_g=s88-c-k-c0x00ffffff-no-rj",
        "channelUrl": "https://www.youtube.com/@grustache4569"
      },
      "engagement": {
        "likes": 108000,
        "replies": 720
      },
      "repliesContinuationToken": "Eg0SC2RRdzR3OVdnWGNRGAYygwEaUBIaVWd6S1lrc3FlUTVnQTN0MGcwRjRBYUFCQWciAggAKhhVQ3VBWEZrZ3N3MUw3eGFDZm5kNUpKT3cyC2RRdzR3OVdnWGNRQAFICoIBAggBQi9jb21tZW50LXJlcGxpZXMtaXRlbS1VZ3pLWWtzcWVRNWdBM3QwZzBGNEFhQUJBZw%3D%3D"
    },
    {
      "id": "UgyW4kfw4IeIP2SVP6N4AaABAg",
      "content": "They should turn off ads so that the rickroll happens by surprise...\n\nWOW! I can't believe it! One billion views!! This is a very special moment for me. God bless you all, and hope there's more billions of views in the future!\n\nOK, guys,...",
      "publishedTimeText": "6 years ago (edited)",
      "publishedTime": "2020-11-17T21:27:55.702Z",
      "replyLevel": 0,
      "author": {
        "name": "@GabrielsEpicLifeofGoals",
        "channelId": "UCUztIF1vqHhPGCbO27IRDEg",
        "isVerified": false,
        "isCreator": false,
        "avatarUrl": "https://yt3.ggpht.com/ytc/AIdro_keh05OEEoNHBwN1maGSGYTcVTcuPz-9Vl1Q6O9FYemDw=s88-c-k-c0x00ffffff-no-rj",
        "channelUrl": "https://www.youtube.com/@GabrielsEpicLifeofGoals"
      },
      "engagement": {
        "likes": 73000,
        "replies": 460
      },
      "repliesContinuationToken": "Eg0SC2RRdzR3OVdnWGNRGAYygwEaUBIaVWd5VzRrZnc0SWVJUDJTVlA2TjRBYUFCQWciAggAKhhVQ3VBWEZrZ3N3MUw3eGFDZm5kNUpKT3cyC2RRdzR3OVdnWGNRQAFICoIBAggBQi9jb21tZW50LXJlcGxpZXMtaXRlbS1VZ3lXNGtmdzRJZUlQMlNWUDZONEFhQUJBZw%3D%3D"
    },
    {
      "id": "UgwxEqSh_78DU_MOKpt4AaABAg",
      "content": "Never thought the video was taken down, not even for a second. I just wanted to hear my boy Rick Astley again.",
      "publishedTimeText": "3 months ago",
      "publishedTime": "2026-08-18T21:27:55.702Z",
      "replyLevel": 0,
      "author": {
        "name": "@Hushoo",
        "channelId": "UCTfgDEMJhUnGz24yinDMenQ",
        "isVerified": false,
        "isCreator": false,
        "avatarUrl": "https://yt3.ggpht.com/P9RPosH04c98bezAE4mu4YdgOHEtBOnDTfrrP1jWMyor_75pjbDedjPhrnos2JrFS3cSsCcv=s88-c-k-c0x00ffffff-no-rj",
        "channelUrl": "https://www.youtube.com/@Hushoo"
      },
      "engagement": {
        "likes": 9300,
        "replies": 66
      },
      "repliesContinuationToken": "Eg0SC2RRdzR3OVdnWGNRGAYygwEaUBIaVWd3eEVxU2hfNzhEVV9NT0twdDRBYUFCQWciAggAKhhVQ3VBWEZrZ3N3MUw3eGFDZm5kNUpKT3cyC2RRdzR3OVdnWGNRQAFICoIBAggBQi9jb21tZW50LXJlcGxpZXMtaXRlbS1VZ3d4RXFTaF83OERVX01PS3B0NEFhQUJBZw%3D%3D"
    }
  ],
  "continuationToken": "Eg0SC2RRdzR3OVdnWGNRGAYygAMK1gJnZXRfcmFua2VkX3N0cmVhbXMtLUNxY0JDSUFFRlJlMzBUZ2FuQUVLbHdFSTJGOFFnQVFZQnlLTUFmdHRVbjZ6NndmUFVnOXVTSlhwU2hRMGw2ZENScUgwQjhCY1ZmcDdodmdrU3lWNTVJYks3Mkk4UmV2ZDVRZTlKZ3FGclgxQWY5YkRvc29JUkUxRVAyYXNjSk8wamJ6U1l1d..."
}
Response JSON · /v1/youtube/video/comments

What it returns

success boolean
credits_remaining integer
credits_charged integer
comments array
continuationToken string

Parameters

url string query required

YouTube video URL

order string query optional

Order of comments

Options: topnewest
continuationToken string query optional

Use continuationToken from the previous response to get the next page.

Use cases

Billing

Errors cost zero credits. Empty results follow this operation’s rules.

Default: 1 credit

An empty result costs 0 credits.

How charges are determined

Cost is decided per call, not per endpoint: the same operation can cost different amounts depending on what it returns.

A call that fails costs 0 credits. A result served from cache costs 0 credits.

`default` is the cost when no rule matches. Rules are evaluated in order and the first whose conditions all hold wins.

A `when` condition is one of: `param` (the request parameter is true), `outcome` (the classifier's outcome), `empty` / `nonEmpty` (a response field is empty and absent, or a non-empty array or string), `flag` (a response field is exactly true).

A cost of `{ perStartedMinute: n, of: [fields] }` is n x max(1, ceil(seconds / 60)), so even a short result bills at least one minute.

FAQ

How much does the YouTube Comments API cost?

A call costs 1 credit by default. Errors cost 0 credits. New accounts get 100 free credits with no card. After that, credits come in one-time packs that never expire: 25,000 for $27 and 500,000 for $297 (plus any tax). There is no subscription.

What do I need to call it?

An API key in the x-api-key header, plus url, and one of url or continuationToken. You don't need a YouTube account or developer app.

What does it return?

Typed JSON. Top-level fields include comments and continuationToken. The full schema and a real sample response are on this page and in the API reference.

Is this an official YouTube API?

No. Fetchproof is an unofficial API that returns public YouTube data only.